> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List SSH keys

> Returns all SSH public keys for SFTP storage access. These keys enable passwordless authentication to SFTP storages and are not used for S3-compatible storage.
Deprecated: Use GET /v4/`ssh_keys` instead.



## OpenAPI

````yaml /api-reference/services_documented/object_storage_api.yaml get /storage/provisioning/v2/key
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Object Storage API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Notifications
    x-displayName: Notifications
  - name: SSHKeys
    x-displayName: SSHKeys
  - name: Storage Locations
    x-displayName: Storage Locations
  - name: Storage
    x-displayName: Storage
  - name: Storage Statistics
    x-displayName: Storage Statistics
  - name: S3-Compatible Storage
    x-displayName: S3-Compatible Storage
  - name: SFTP Storage
    x-displayName: SFTP Storage
paths:
  /storage/provisioning/v2/key:
    get:
      tags:
        - SSHKeys
      summary: List SSH keys
      description: >-
        Returns all SSH public keys for SFTP storage access. These keys enable
        passwordless authentication to SFTP storages and are not used for
        S3-compatible storage.

        Deprecated: Use GET /v4/`ssh_keys` instead.
      operationId: keyListHttpV2
      parameters:
        - name: offset
          in: query
          description: Number of records to skip before beginning to write in response.
          schema:
            minimum: 0
            type: integer
            format: uint64
        - name: limit
          in: query
          description: Max number of records in response
          schema:
            maximum: 1000
            minimum: 1
            type: integer
            format: uint64
            default: 10
        - name: order_by
          in: query
          description: Field name to sort by
          schema:
            type: string
        - name: order_direction
          in: query
          description: Ascending or descending order
          schema:
            type: string
            enum:
              - asc
              - desc
        - name: id
          in: query
          schema:
            type: string
        - name: name
          in: query
          schema:
            type: string
        - name: created
          in: query
          schema:
            type: string
      responses:
        '200':
          description: KeyListEndpointRes
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KeyListEndpointRes'
        '400':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
      deprecated: true
components:
  schemas:
    KeyListEndpointRes:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Key'
        meta:
          $ref: '#/components/schemas/DataMeta'
    ErrResponse:
      type: object
      properties:
        error:
          type: string
      description: ErrResponse is an error response
    Key:
      type: object
      properties:
        created_at:
          type: string
          description: ISO 8601 timestamp when the SSH key was created
          format: date-time
          example: '2025-08-05T09:15:00Z'
        id:
          type: integer
          description: Unique identifier for the SSH key
          format: int64
          example: 123
        name:
          type: string
          description: User-defined name for the SSH key
          example: my-production-key
    DataMeta:
      type: object
      properties:
        ToMeta:
          type: object
          additionalProperties:
            type: object
      description: Provide meta info through layers
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````